> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a bank account



## OpenAPI

````yaml /spec/openapi.json post /bank_accounts
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /bank_accounts:
    post:
      tags:
        - Bank Accounts
      summary: Create a bank account
      operationId: bank-accounts-store
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    employee_id:
                      type: string
                      description: >-
                        Must be present when `contractor_id` and
                        `business_entity_id` is either empty or not set.
                    contractor_id:
                      type: string
                      description: >-
                        Must be present when `employee_id` and
                        `business_entity_id` is either empty or not set.
                    business_entity_id:
                      type: string
                      description: >-
                        Must be present when `employee_id` and `contractor_id`
                        is either empty or not set.
                    account_number:
                      type: string
                    transit_number:
                      type: string
                      description: The 5-digit bank transit number.
                    institution_number:
                      type: string
                      description: The 3-digit bank institution number.
                    is_primary:
                      type: boolean
                      description: >-
                        Whether this is the primary bank account for its owner.


                        Indicates that this bank account is the primary bank
                        account. Optional. Cannot be set to false is there is no
                        other bank account for the same employee, contractor or
                        business entity.
                    pad_signer_name:
                      type: string
                      description: >-
                        The name of the person who signed the PAD agreement.
                        Only applicable to Business Entity bank accounts.
                      nullable: true
                    pad_signer_email:
                      type: string
                      description: >-
                        The email address of the PAD agreement signer. Only
                        applicable to Business Entity bank accounts.
                    pad_signer_title:
                      type: string
                      description: >-
                        The title or role of the PAD agreement signer. Only
                        applicable to Business Entity bank accounts.
                      nullable: true
                    pad_signed_at:
                      type: string
                      description: >-
                        The date and time the PAD agreement was signed. Only
                        applicable to Business Entity bank accounts.
                      format: date
                    pad_file:
                      type: string
                - type: object
                  required:
                    - account_number
                    - transit_number
                    - institution_number
            example:
              business_entity_id: <id>
              account_number: '3654916'
              transit_number: '02002'
              institution_number: '320'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"bank_account"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/BankAccount'
              example:
                id: <id>
                object: bank_account
                data:
                  business_entity:
                    id: <id>
                    object: business_entity
                    links:
                      self: /business_entities/<id>
                  institution_number: '320'
                  institution_name: President's Choice Bank
                  institution_name_translations:
                    en: President's Choice Bank
                    fr: Banque le Choix du Président
                  institution_name_translated: President's Choice Bank
                  transit_number: '02002'
                  transit_address: 600-500 Lakeshore Blvd West POBOX600, Toronto, ON M5V 2V9
                  account_number_last_3: '916'
                  is_primary: true
                  is_deletable: true
                  warnings:
                    object: list
                    data: []
                  is_pad_signed: false
                  pad_signer_name: null
                  pad_signer_email: null
                  pad_signer_title: null
                  pad_signed_at: null
                  pad_file: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /bank_accounts/<id>
components:
  schemas:
    BankAccount:
      type: object
      title: Bank Account
      properties:
        business_entity:
          type: object
          description: >-
            The Business Entity that owns this bank account. Present only for
            Business Entity bank accounts.
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"business_entity"`).
              readOnly: true
        institution_number:
          type: string
          description: The 3-digit bank institution number.
        institution_name:
          type: string
          description: >-
            The name of the banking institution matching the institution number,
            or `null` if the number is not recognized. Always the English name;
            see `institution_name_translated` for the value in the request's
            locale.
          nullable: true
        institution_name_translations:
          type: object
          nullable: true
          properties:
            en:
              type: string
              nullable: true
            fr:
              type: string
              nullable: true
        institution_name_translated:
          type: string
          description: >-
            The translation of the `institution_name` property for the request
            locale. Computed using the values in `institution_name` and
            `institution_name_translations` and the value of the request's
            `Accept-Language` header.
          readOnly: true
        transit_number:
          type: string
          description: The 5-digit bank transit number.
        transit_address:
          type: string
          description: >-
            The address of the branch matching the institution and transit
            numbers, or `null` if the pair is not recognized.
          nullable: true
        account_number_last_3:
          type: string
          description: The last 3 digits of the bank account number.
          nullable: true
        is_primary:
          type: boolean
          description: Whether this is the primary bank account for its owner.
        is_deletable:
          type: boolean
          description: Whether this bank account can be deleted.
        warnings:
          type: object
          description: >-
            A collection of data validation warnings for this bank account.
            Warnings indicate incomplete or potentially incorrect data, such as
            an unrecognized institution or transit number.
          nullable: true
          properties:
            object:
              type: string
              nullable: true
            data:
              type: object
              nullable: true
        is_pad_signed:
          type: boolean
          description: >-
            Whether a PAD agreement has been signed. Only present for Business
            Entity bank accounts.
        pad_signer_name:
          type: string
          description: >-
            The name of the person who signed the PAD agreement. Only applicable
            to Business Entity bank accounts.
          nullable: true
          maxLength: 255
        pad_signer_email:
          type: string
          description: >-
            The email address of the PAD agreement signer. Only applicable to
            Business Entity bank accounts.
          nullable: true
          maxLength: 255
        pad_signer_title:
          type: string
          description: >-
            The title or role of the PAD agreement signer. Only applicable to
            Business Entity bank accounts.
          nullable: true
          maxLength: 255
        pad_signed_at:
          type: string
          description: >-
            The date and time the PAD agreement was signed. Only applicable to
            Business Entity bank accounts.
          readOnly: true
          nullable: true
          format: dateTime
        pad_file:
          description: >-
            The signed PAD agreement file. Only present for Business Entity bank
            accounts.
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````